import java.io.*;
import java.net.*;

public class ClientRecvHandler extends Thread{
    private Socket sock;
    private ClientViewer parent;
    private BufferedReader in;

    public ClientRecvHandler(Socket s, ClientViewer pa){
        parent = pa;
        sock =s;
    }

    public void run(){
        try{
            in = new BufferedReader(new 
                      InputStreamReader(sock.getInputStream()));
            String command = in.readLine();
            readInput(command);
            in.close();
            sock.close();
            
        }catch(IOException e){
            e.printStackTrace();
        }
    }
    private synchronized void readInput(String command)throws IOException{
        if (command.equals("1")){
	    String recvdata = in.readLine();
            parent.displayFromThread(recvdata);
        }
    }
}

