import java.io.*;
import java.net.*;
import java.util.*;

public class SendChannel {

  private CollServer server;

  // collaborator vector
  Vector collabVector;

  public SendChannel(CollServer sever) {
    this.server = server;    
    collabVector = new Vector();
  }


  /**
   * return the number of collaborator
   */
  public int getNoOfCollaborator() {
    return collabVector.size();
  }

  public void addCollaborator(InetAddress h,int p){
    Collaborator unit;
    unit = new Collaborator(h,p,0,false);
    collabVector.addElement(unit);
  }
  
  public void  cleanCollaborator(){
    collabVector.removeAllElements();
  }

  public  void sendData(String recvdata){    
    Collaborator unit;

    System.out.println("Sending data to Client ... Start");
    
    if(collabVector.size() == 0) System.out.println("No client!!!!!!");
    else {
	for(int i=0;i<collabVector.size();i++){
	    unit = (Collaborator)collabVector.elementAt(i);
	    new sendDataThread(unit, recvdata).start();
	}
    }
  }
}
